learn-courses
List Courses
List courses for the authenticated user’s organization with pagination.
Includes enriched data (enrollment_count, feedback_count, average_rating).
GET
/
api
/
v1
/
learn
/
courses
List Courses
curl --request GET \
--url https://api.example.com/api/v1/learn/courses \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/learn/courses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/learn/courses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"imagePath": "course-images/default.webp",
"enrollmentCount": 0,
"feedbackCount": 0,
"averageRating": 123
}
],
"nextCursor": "<string>",
"hasMore": false,
"totalCount": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Items per page
Required range:
1 <= x <= 1000Pagination cursor
Search term
Maximum string length:
200Include total count
Was this page helpful?
⌘I
List Courses
